PROCEDURE ListBrowserPresDlg;
CONST
    {Alignment constants}
    kRight                = 1;
    kBottom               = 2;
    kLeft                 = 3;
    kResize               = 0;
    kShift                = 1;

    { dialog resource ID }
    kTextStrTableID       = 13220;

    { default and cancel button IDs}
    kOK                   = 1;
    kCancel               = 2;

    { control IDs}
    kSortingCheck         = 4;
    kDragNDropCheck       = 5;
    kColumnsGroup         = 6;
    kColumnsList          = 7;
    kAddColButton         = 8;
    kEditColButton        = 9;
    kRemoveColButton      = 10;
    kMoveUpColButton      = 11;
    kMoveDownColButton    = 12;
    kColWidthText         = 13;
    kColWidthEdit         = 14;
    kColTypeText          = 15;
    kColTypePopup         = 16;
    kItemsGroup           = 17;
    kItemsList            = 18;
    kAddItemButton        = 19;
    kEditItemButton       = 20;
    kRemoveItemButton     = 21;
    kMoveUpItemButton     = 22;
    kMoveDownItemButton   = 23;
    kItemEnabledCheck     = 24;
    kItemStyleText        = 25;
    kStylePopup           = 26;
    kItemJustText         = 27;
    kJustPopup            = 28;

VAR
    dialog            :INTEGER;
    cnt               :INTEGER;

FUNCTION GetStr(ndx :INTEGER) :STRING;
BEGIN
    GetResourceString(GetStr, kTextStrTableID, ndx);
END;

FUNCTION GetHelpStr(ndx :INTEGER) :STRING;
BEGIN
    GetResourceString(GetHelpStr, kTextStrTableID, ndx + 28);
END;

BEGIN
    dialog := CreateResizableLayout(GetStr(3), TRUE, GetStr(kOK), GetStr(kCancel), TRUE, TRUE );

    {create controls}
    CreateCheckBox( dialog, kSortingCheck, GetStr(kSortingCheck) );
    CreateCheckBox( dialog, kDragNDropCheck, GetStr(kDragNDropCheck) );
    CreateGroupBox( dialog, kColumnsGroup, GetStr(kColumnsGroup), TRUE );
    CreateListBox( dialog, kColumnsList, 40, 6 );
    CreatePushButton( dialog, kAddColButton, GetStr(kAddColButton) );
    CreatePushButton( dialog, kEditColButton, GetStr(kEditColButton) );
    CreatePushButton( dialog, kRemoveColButton, GetStr(kRemoveColButton) );
    CreatePushButton( dialog, kMoveUpColButton, GetStr(kMoveUpColButton) );
    CreatePushButton( dialog, kMoveDownColButton, GetStr(kMoveDownColButton) );
    CreateStaticText( dialog, kColWidthText, GetStr(kColWidthText), -1 );
    CreateEditInteger( dialog, kColWidthEdit, 0, 28 );
    CreateStaticText( dialog, kColTypeText, GetStr(kColTypeText), -1 );
    CreatePulldownMenu( dialog, kColTypePopup, 28 );
    CreateGroupBox( dialog, kItemsGroup, GetStr(kItemsGroup), TRUE );
    CreateListBox( dialog, kItemsList, 40, 6 );
    CreatePushButton( dialog, kAddItemButton, GetStr(kAddItemButton) );
    CreatePushButton( dialog, kEditItemButton, GetStr(kEditItemButton) );
    CreatePushButton( dialog, kRemoveItemButton, GetStr(kRemoveItemButton) );
    CreatePushButton( dialog, kMoveUpItemButton, GetStr(kMoveUpItemButton) );
    CreatePushButton( dialog, kMoveDownItemButton, GetStr(kMoveDownItemButton) );
    CreateCheckBox( dialog, kItemEnabledCheck, GetStr(kItemEnabledCheck) );
    CreateStaticText( dialog, kItemStyleText, GetStr(kItemStyleText), -1 );
    CreatePulldownMenu( dialog, kStylePopup, 25 );
    CreateStaticText( dialog, kItemJustText, GetStr(kItemJustText), -1 );
    CreatePulldownMenu( dialog, kJustPopup, 25 );

    {set relations}
    SetFirstLayoutItem( dialog, kSortingCheck );
    SetRightItem( dialog, kSortingCheck, kDragNDropCheck, 0, 0 );
    SetBelowItem( dialog, kSortingCheck, kColumnsGroup, 0, 0 );
    SetFirstGroupItem( dialog, kColumnsGroup, kColumnsList );
    SetBelowItem( dialog, kColumnsGroup, kItemsGroup, 0, 0 );
    SetRightItem( dialog, kColumnsList, kAddColButton, 0, 0 );
    SetBelowItem( dialog, kColumnsList, kColWidthText, 0, 0 );
    SetBelowItem( dialog, kAddColButton, kEditColButton, 0, 0 );
    SetBelowItem( dialog, kEditColButton, kRemoveColButton, 0, 0 );
    SetBelowItem( dialog, kRemoveColButton, kMoveUpColButton, 0, 0 );
    SetBelowItem( dialog, kMoveUpColButton, kMoveDownColButton, 0, 0 );
    SetRightItem( dialog, kColWidthText, kColWidthEdit, 0, 0 );
    SetBelowItem( dialog, kColWidthText, kColTypeText, 0, 0 );
    SetRightItem( dialog, kColTypeText, kColTypePopup, 0, 0 );
    SetFirstGroupItem( dialog, kItemsGroup, kItemsList );
    SetRightItem( dialog, kItemsList, kAddItemButton, 0, 0 );
    SetBelowItem( dialog, kItemsList, kItemEnabledCheck, 0, 0 );
    SetBelowItem( dialog, kAddItemButton, kEditItemButton, 0, 0 );
    SetBelowItem( dialog, kEditItemButton, kRemoveItemButton, 0, 0 );
    SetBelowItem( dialog, kRemoveItemButton, kMoveUpItemButton, 0, 0 );
    SetBelowItem( dialog, kMoveUpItemButton, kMoveDownItemButton, 0, 0 );
    SetBelowItem( dialog, kItemEnabledCheck, kItemStyleText, 0, 0 );
    SetRightItem( dialog, kItemStyleText, kStylePopup, 0, 0 );
    SetBelowItem( dialog, kItemStyleText, kItemJustText, 0, 0 );
    SetRightItem( dialog, kItemJustText, kJustPopup, 0, 0 );

    {set alignments}
    AlignItemEdge( dialog, kAddColButton, kRight, 1, kResize );
    AlignItemEdge( dialog, kEditColButton, kRight, 1, kResize );
    AlignItemEdge( dialog, kRemoveColButton, kRight, 1, kResize );
    AlignItemEdge( dialog, kMoveUpColButton, kRight, 1, kResize );
    AlignItemEdge( dialog, kMoveDownColButton, kRight, 1, kResize );
    AlignItemEdge( dialog, kColWidthEdit, kLeft, 1, kShift );
    AlignItemEdge( dialog, kColTypePopup, kLeft, 1, kShift );
    AlignItemEdge( dialog, kStylePopup, kLeft, 1, kShift );
    AlignItemEdge( dialog, kJustPopup, kLeft, 1, kShift );

    AlignItemEdge( dialog, kRemoveItemButton, kRight, 2, kResize );
    AlignItemEdge( dialog, kMoveUpItemButton, kRight, 2, kResize );
    AlignItemEdge( dialog, kMoveDownItemButton, kRight, 2, kResize );
    AlignItemEdge( dialog, kAddItemButton, kRight, 2, kResize );
    AlignItemEdge( dialog, kEditItemButton, kRight, 2, kResize );

    {set bindings}
    SetEdgeBinding        ( dialog, kColumnsGroup, TRUE, TRUE, TRUE, TRUE );
    SetProportionalBinding( dialog, kColumnsGroup, FALSE, FALSE, FALSE, TRUE );
    SetEdgeBinding        ( dialog, kAddColButton, FALSE, TRUE, FALSE, FALSE );
    SetEdgeBinding        ( dialog, kEditColButton, FALSE, TRUE, FALSE, FALSE );
    SetEdgeBinding        ( dialog, kRemoveColButton, FALSE, TRUE, FALSE, FALSE );
    SetEdgeBinding        ( dialog, kMoveUpColButton, FALSE, TRUE, FALSE, FALSE );
    SetEdgeBinding        ( dialog, kMoveDownColButton, FALSE, TRUE, FALSE, FALSE );
    SetEdgeBinding        ( dialog, kColWidthText, FALSE, FALSE, FALSE, TRUE );
    SetEdgeBinding        ( dialog, kColWidthEdit, FALSE, FALSE, FALSE, TRUE );
    SetEdgeBinding        ( dialog, kColTypeText, FALSE, FALSE, FALSE, TRUE );
    SetEdgeBinding        ( dialog, kColTypePopup, FALSE, FALSE, FALSE, TRUE );
    SetEdgeBinding        ( dialog, kItemsGroup, TRUE, TRUE, TRUE, TRUE );
    SetProportionalBinding( dialog, kItemsGroup, FALSE, FALSE, TRUE, FALSE );
    SetEdgeBinding        ( dialog, kAddItemButton, FALSE, TRUE, TRUE, FALSE );
    SetEdgeBinding        ( dialog, kEditItemButton, FALSE, TRUE, TRUE, FALSE );
    SetEdgeBinding        ( dialog, kRemoveItemButton, FALSE, TRUE, TRUE, FALSE );
    SetEdgeBinding        ( dialog, kMoveUpItemButton, FALSE, TRUE, TRUE, FALSE );
    SetEdgeBinding        ( dialog, kMoveDownItemButton, FALSE, TRUE, TRUE, FALSE );
    SetEdgeBinding        ( dialog, kItemEnabledCheck, FALSE, FALSE, FALSE, TRUE );
    SetEdgeBinding        ( dialog, kItemStyleText, FALSE, FALSE, FALSE, TRUE );
    SetEdgeBinding        ( dialog, kStylePopup, FALSE, FALSE, FALSE, TRUE );
    SetEdgeBinding        ( dialog, kItemJustText, FALSE, FALSE, FALSE, TRUE );
    SetEdgeBinding        ( dialog, kJustPopup, FALSE, FALSE, FALSE, TRUE );

    {set help strings}
    FOR cnt := 1 TO 28 DO SetHelpText(dialog, cnt, GetHelpStr(cnt));

    { uncomment to test the script
    IF RunLayoutDialog( dialog, NIL ) = 1 then BEGIN
    END;}

END;
RUN( ListBrowserPresDlg );
{XML defintion of the layout}
{<BEGIN_XML>
<?xml version="1.0" encoding="UTF-8" standalone="no" ?>
<DialogBuilder>

  <LayoutData>
    <Name>ListBrowserPresDlg</Name>
    <Namespace></Namespace>
    <Title>ListBrowser Presentation</Title>
    <OKText>OK</OKText>
    <OKHelpText>Accepts the dialog data.</OKHelpText>
    <CancelText>Cancel</CancelText>
    <CancelHelpText>Cancels the dialog data.</CancelHelpText>
    <HasHelp>TRUE</HasHelp>
    <ResizableWidth>TRUE</ResizableWidth>
    <ResizableHeight>TRUE</ResizableHeight>
    <StringsStartID>13220</StringsStartID>
    <HelpStrsInTable>FALSE</HelpStrsInTable>
    <HelpStrStartID>13221</HelpStrStartID>
    <ControlPrefix>k</ControlPrefix>
    <ShowControlIDs>TRUE</ShowControlIDs>
    <TablesAddToDlgRes>FALSE</TablesAddToDlgRes>
    <ResTables>
      <Table ID="13221" Name="Misc">
        <Values>
          <Value>Add new column name:</Value>
          <Value>Edit the column name:</Value>
          <Value>Do you want to delete the selected column?</Value>
          <Value>OK</Value>
          <Value>Cancel</Value>
          <Value>Add new item:</Value>
          <Value>Edit the item:</Value>
          <Value>Do you want to delete the selected item?</Value>
          <Value>Plain</Value>
          <Value>Bold</Value>
          <Value>Italic</Value>
          <Value>Bold And Italic</Value>
          <Value>Underline</Value>
          <Value>Invalid</Value>
          <Value>Left</Value>
          <Value>Center</Value>
          <Value>Right</Value>
          <Value>Static Text</Value>
          <Value>Radio</Value>
          <Value>MultiState</Value>
        </Values>
      </Table>
    </ResTables>
  </LayoutData>

  <Controls>
    <Control name="DialogBuilderControl" x="-42.000000" y="78.000000">
      <Parameter Name="__UUID">%LBC2608B30-10B9-11DB-9594-00059A3C7800%RB</Parameter>
      <Parameter Name="__locked">false</Parameter>
      <Parameter Name="type">kListBox</Parameter>
      <Parameter Name="id">7</Parameter>
      <Parameter Name="constName">ColumnsList</Parameter>
      <Parameter Name="label"></Parameter>
      <Parameter Name="value"></Parameter>
      <Parameter Name="bValue">false</Parameter>
      <Parameter Name="helpText">Defined column in the list browser.</Parameter>
      <Parameter Name="horzOffset">0</Parameter>
      <Parameter Name="vertOffset">0</Parameter>
      <Parameter Name="alignGroup">0</Parameter>
      <Parameter Name="alignEdge">kRight</Parameter>
      <Parameter Name="alignMode">kResize</Parameter>
      <Parameter Name="visible">true</Parameter>
      <Parameter Name="enabled">true</Parameter>
      <Parameter Name="bindLeft">kNone</Parameter>
      <Parameter Name="bindRight">kNone</Parameter>
      <Parameter Name="bindTop">kNone</Parameter>
      <Parameter Name="bindBottom">kNone</Parameter>
      <Parameter Name="sizeToText">true</Parameter>
      <Parameter Name="ctrlWidth">40</Parameter>
      <Parameter Name="ctrlHeight">16</Parameter>
      <Parameter Name="ctrlLinesCnt">6</Parameter>
      <Parameter Name="realEditType">kEditRealType_RealNumber</Parameter>
      <Parameter Name="multiSelect">false</Parameter>
      <Parameter Name="margin">1</Parameter>
      <Parameter Name="renderMode">kWireframe</Parameter>
      <Parameter Name="viewMode">kTopPlan</Parameter>
      <Parameter Name="hasFrame">true</Parameter>
      <Parameter Name="ControlPoint00X">66</Parameter>
      <Parameter Name="ControlPoint00Y">-0,4</Parameter>
      <Parameter Name="ControlPoint01X">14</Parameter>
      <Parameter Name="ControlPoint01Y">-63</Parameter>
      <Parameter Name="ControlPoint02X">0</Parameter>
      <Parameter Name="ControlPoint02Y">0</Parameter>
      <Parameter Name="__RightUUID">%LBC2608B31-10B9-11DB-9594-00059A3C7800%RB</Parameter>
      <Parameter Name="__BottomUUID">%LB120ABD0A-10BA-11DB-9594-00059A3C7800%RB</Parameter>
      <Parameter Name="__savedHandleRightX">66</Parameter>
      <Parameter Name="__savedHandleRightY">-0,4</Parameter>
      <Parameter Name="__savedHandleBottomX">14</Parameter>
      <Parameter Name="__savedHandleBottomY">-63</Parameter>
      <Parameter Name="__arrAlignments"></Parameter>
      <Parameter Name="__fVisControlWidth">32,00400043</Parameter>
      <Parameter Name="__fVisControlHeight">24,34166667</Parameter>
    </Control>
    <Control name="DialogBuilderControl" x="24.000000" y="80.000000">
      <Parameter Name="__UUID">%LBC2608B31-10B9-11DB-9594-00059A3C7800%RB</Parameter>
      <Parameter Name="__locked">false</Parameter>
      <Parameter Name="type">kPushButton</Parameter>
      <Parameter Name="id">8</Parameter>
      <Parameter Name="constName">AddColButton</Parameter>
      <Parameter Name="label">Add...</Parameter>
      <Parameter Name="value"></Parameter>
      <Parameter Name="bValue">false</Parameter>
      <Parameter Name="helpText">Add new column to the list browser.</Parameter>
      <Parameter Name="horzOffset">0</Parameter>
      <Parameter Name="vertOffset">0</Parameter>
      <Parameter Name="alignGroup">1</Parameter>
      <Parameter Name="alignEdge">kRight</Parameter>
      <Parameter Name="alignMode">kResize</Parameter>
      <Parameter Name="visible">true</Parameter>
      <Parameter Name="enabled">true</Parameter>
      <Parameter Name="bindLeft">kNone</Parameter>
      <Parameter Name="bindRight">kFixed</Parameter>
      <Parameter Name="bindTop">kNone</Parameter>
      <Parameter Name="bindBottom">kNone</Parameter>
      <Parameter Name="sizeToText">true</Parameter>
      <Parameter Name="ctrlWidth">16</Parameter>
      <Parameter Name="ctrlHeight">16</Parameter>
      <Parameter Name="ctrlLinesCnt">1</Parameter>
      <Parameter Name="realEditType">kEditRealType_RealNumber</Parameter>
      <Parameter Name="multiSelect">false</Parameter>
      <Parameter Name="margin">1</Parameter>
      <Parameter Name="renderMode">kWireframe</Parameter>
      <Parameter Name="viewMode">kTopPlan</Parameter>
      <Parameter Name="hasFrame">true</Parameter>
      <Parameter Name="ControlPoint00X">13,1</Parameter>
      <Parameter Name="ControlPoint00Y">-2,4</Parameter>
      <Parameter Name="ControlPoint01X">6,4</Parameter>
      <Parameter Name="ControlPoint01Y">-10</Parameter>
      <Parameter Name="ControlPoint02X">0</Parameter>
      <Parameter Name="ControlPoint02Y">0</Parameter>
      <Parameter Name="__RightUUID"></Parameter>
      <Parameter Name="__BottomUUID">%LBC2608B32-10B9-11DB-9594-00059A3C7800%RB</Parameter>
      <Parameter Name="__savedHandleRightX">13,1</Parameter>
      <Parameter Name="__savedHandleRightY">-2,4</Parameter>
      <Parameter Name="__savedHandleBottomX">6,4</Parameter>
      <Parameter Name="__savedHandleBottomY">-10</Parameter>
      <Parameter Name="__arrAlignments">1|0|0;</Parameter>
      <Parameter Name="__fVisControlWidth">13,08099981</Parameter>
      <Parameter Name="__fVisControlHeight">4,86833333</Parameter>
    </Control>
    <Control name="DialogBuilderControl" x="24.000000" y="70.000000">
      <Parameter Name="__UUID">%LBC2608B32-10B9-11DB-9594-00059A3C7800%RB</Parameter>
      <Parameter Name="__locked">false</Parameter>
      <Parameter Name="type">kPushButton</Parameter>
      <Parameter Name="id">9</Parameter>
      <Parameter Name="constName">EditColButton</Parameter>
      <Parameter Name="label">Edit...</Parameter>
      <Parameter Name="value"></Parameter>
      <Parameter Name="bValue">false</Parameter>
      <Parameter Name="helpText">Edit this column to the list browser.</Parameter>
      <Parameter Name="horzOffset">0</Parameter>
      <Parameter Name="vertOffset">0</Parameter>
      <Parameter Name="alignGroup">1</Parameter>
      <Parameter Name="alignEdge">kRight</Parameter>
      <Parameter Name="alignMode">kResize</Parameter>
      <Parameter Name="visible">true</Parameter>
      <Parameter Name="enabled">true</Parameter>
      <Parameter Name="bindLeft">kNone</Parameter>
      <Parameter Name="bindRight">kFixed</Parameter>
      <Parameter Name="bindTop">kNone</Parameter>
      <Parameter Name="bindBottom">kNone</Parameter>
      <Parameter Name="sizeToText">true</Parameter>
      <Parameter Name="ctrlWidth">16</Parameter>
      <Parameter Name="ctrlHeight">16</Parameter>
      <Parameter Name="ctrlLinesCnt">1</Parameter>
      <Parameter Name="realEditType">kEditRealType_RealNumber</Parameter>
      <Parameter Name="multiSelect">false</Parameter>
      <Parameter Name="margin">1</Parameter>
      <Parameter Name="renderMode">kWireframe</Parameter>
      <Parameter Name="viewMode">kTopPlan</Parameter>
      <Parameter Name="hasFrame">true</Parameter>
      <Parameter Name="ControlPoint00X">12,8</Parameter>
      <Parameter Name="ControlPoint00Y">-2,4</Parameter>
      <Parameter Name="ControlPoint01X">7,9</Parameter>
      <Parameter Name="ControlPoint01Y">-10</Parameter>
      <Parameter Name="ControlPoint02X">0</Parameter>
      <Parameter Name="ControlPoint02Y">0</Parameter>
      <Parameter Name="__RightUUID"></Parameter>
      <Parameter Name="__BottomUUID">%LBC9DFCD0D-10B9-11DB-9594-00059A3C7800%RB</Parameter>
      <Parameter Name="__savedHandleRightX">12,8</Parameter>
      <Parameter Name="__savedHandleRightY">-2,4</Parameter>
      <Parameter Name="__savedHandleBottomX">7,9</Parameter>
      <Parameter Name="__savedHandleBottomY">-10</Parameter>
      <Parameter Name="__arrAlignments">1|0|0;</Parameter>
      <Parameter Name="__fVisControlWidth">12,82700005</Parameter>
      <Parameter Name="__fVisControlHeight">4,86833333</Parameter>
    </Control>
    <Control name="DialogBuilderControl" x="23.000000" y="60.000000">
      <Parameter Name="__UUID">%LBC9DFCD0D-10B9-11DB-9594-00059A3C7800%RB</Parameter>
      <Parameter Name="__locked">false</Parameter>
      <Parameter Name="type">kPushButton</Parameter>
      <Parameter Name="id">10</Parameter>
      <Parameter Name="constName">RemoveColButton</Parameter>
      <Parameter Name="label">Remove</Parameter>
      <Parameter Name="value"></Parameter>
      <Parameter Name="bValue">false</Parameter>
      <Parameter Name="helpText">Remove selected column in the list browser.</Parameter>
      <Parameter Name="horzOffset">0</Parameter>
      <Parameter Name="vertOffset">0</Parameter>
      <Parameter Name="alignGroup">1</Parameter>
      <Parameter Name="alignEdge">kRight</Parameter>
      <Parameter Name="alignMode">kResize</Parameter>
      <Parameter Name="visible">true</Parameter>
      <Parameter Name="enabled">true</Parameter>
      <Parameter Name="bindLeft">kNone</Parameter>
      <Parameter Name="bindRight">kFixed</Parameter>
      <Parameter Name="bindTop">kNone</Parameter>
      <Parameter Name="bindBottom">kNone</Parameter>
      <Parameter Name="sizeToText">true</Parameter>
      <Parameter Name="ctrlWidth">16</Parameter>
      <Parameter Name="ctrlHeight">16</Parameter>
      <Parameter Name="ctrlLinesCnt">1</Parameter>
      <Parameter Name="realEditType">kEditRealType_RealNumber</Parameter>
      <Parameter Name="multiSelect">false</Parameter>
      <Parameter Name="margin">1</Parameter>
      <Parameter Name="renderMode">kWireframe</Parameter>
      <Parameter Name="viewMode">kTopPlan</Parameter>
      <Parameter Name="hasFrame">true</Parameter>
      <Parameter Name="ControlPoint00X">17,7</Parameter>
      <Parameter Name="ControlPoint00Y">-2,4</Parameter>
      <Parameter Name="ControlPoint01X">9,4</Parameter>
      <Parameter Name="ControlPoint01Y">-13</Parameter>
      <Parameter Name="ControlPoint02X">0</Parameter>
      <Parameter Name="ControlPoint02Y">0</Parameter>
      <Parameter Name="__RightUUID"></Parameter>
      <Parameter Name="__BottomUUID">%LBC9DFCD0E-10B9-11DB-9594-00059A3C7800%RB</Parameter>
      <Parameter Name="__savedHandleRightX">17,7</Parameter>
      <Parameter Name="__savedHandleRightY">-2,4</Parameter>
      <Parameter Name="__savedHandleBottomX">9,4</Parameter>
      <Parameter Name="__savedHandleBottomY">-13</Parameter>
      <Parameter Name="__arrAlignments">1|0|0;</Parameter>
      <Parameter Name="__fVisControlWidth">17,73766607</Parameter>
      <Parameter Name="__fVisControlHeight">4,86833333</Parameter>
    </Control>
    <Control name="DialogBuilderControl" x="23.000000" y="47.000000">
      <Parameter Name="__UUID">%LBC9DFCD0E-10B9-11DB-9594-00059A3C7800%RB</Parameter>
      <Parameter Name="__locked">false</Parameter>
      <Parameter Name="type">kPushButton</Parameter>
      <Parameter Name="id">11</Parameter>
      <Parameter Name="constName">MoveUpColButton</Parameter>
      <Parameter Name="label">Move Up</Parameter>
      <Parameter Name="value"></Parameter>
      <Parameter Name="bValue">false</Parameter>
      <Parameter Name="helpText">Move up the selected column.</Parameter>
      <Parameter Name="horzOffset">0</Parameter>
      <Parameter Name="vertOffset">0</Parameter>
      <Parameter Name="alignGroup">1</Parameter>
      <Parameter Name="alignEdge">kRight</Parameter>
      <Parameter Name="alignMode">kResize</Parameter>
      <Parameter Name="visible">true</Parameter>
      <Parameter Name="enabled">true</Parameter>
      <Parameter Name="bindLeft">kNone</Parameter>
      <Parameter Name="bindRight">kFixed</Parameter>
      <Parameter Name="bindTop">kNone</Parameter>
      <Parameter Name="bindBottom">kNone</Parameter>
      <Parameter Name="sizeToText">true</Parameter>
      <Parameter Name="ctrlWidth">16</Parameter>
      <Parameter Name="ctrlHeight">16</Parameter>
      <Parameter Name="ctrlLinesCnt">1</Parameter>
      <Parameter Name="realEditType">kEditRealType_RealNumber</Parameter>
      <Parameter Name="multiSelect">false</Parameter>
      <Parameter Name="margin">1</Parameter>
      <Parameter Name="renderMode">kWireframe</Parameter>
      <Parameter Name="viewMode">kTopPlan</Parameter>
      <Parameter Name="hasFrame">true</Parameter>
      <Parameter Name="ControlPoint00X">18,9</Parameter>
      <Parameter Name="ControlPoint00Y">-2,4</Parameter>
      <Parameter Name="ControlPoint01X">11,1</Parameter>
      <Parameter Name="ControlPoint01Y">-12</Parameter>
      <Parameter Name="ControlPoint02X">0</Parameter>
      <Parameter Name="ControlPoint02Y">0</Parameter>
      <Parameter Name="__RightUUID"></Parameter>
      <Parameter Name="__BottomUUID">%LBC9DFCD0F-10B9-11DB-9594-00059A3C7800%RB</Parameter>
      <Parameter Name="__savedHandleRightX">18,9</Parameter>
      <Parameter Name="__savedHandleRightY">-2,4</Parameter>
      <Parameter Name="__savedHandleBottomX">11,1</Parameter>
      <Parameter Name="__savedHandleBottomY">-12</Parameter>
      <Parameter Name="__arrAlignments">1|0|0;</Parameter>
      <Parameter Name="__fVisControlWidth">18,88066667</Parameter>
      <Parameter Name="__fVisControlHeight">4,86833333</Parameter>
    </Control>
    <Control name="DialogBuilderControl" x="22.000000" y="35.000000">
      <Parameter Name="__UUID">%LBC9DFCD0F-10B9-11DB-9594-00059A3C7800%RB</Parameter>
      <Parameter Name="__locked">false</Parameter>
      <Parameter Name="type">kPushButton</Parameter>
      <Parameter Name="id">12</Parameter>
      <Parameter Name="constName">MoveDownColButton</Parameter>
      <Parameter Name="label">Move Down</Parameter>
      <Parameter Name="value"></Parameter>
      <Parameter Name="bValue">false</Parameter>
      <Parameter Name="helpText">Move down the selected column</Parameter>
      <Parameter Name="horzOffset">0</Parameter>
      <Parameter Name="vertOffset">0</Parameter>
      <Parameter Name="alignGroup">1</Parameter>
      <Parameter Name="alignEdge">kRight</Parameter>
      <Parameter Name="alignMode">kResize</Parameter>
      <Parameter Name="visible">true</Parameter>
      <Parameter Name="enabled">true</Parameter>
      <Parameter Name="bindLeft">kNone</Parameter>
      <Parameter Name="bindRight">kFixed</Parameter>
      <Parameter Name="bindTop">kNone</Parameter>
      <Parameter Name="bindBottom">kNone</Parameter>
      <Parameter Name="sizeToText">true</Parameter>
      <Parameter Name="ctrlWidth">16</Parameter>
      <Parameter Name="ctrlHeight">16</Parameter>
      <Parameter Name="ctrlLinesCnt">1</Parameter>
      <Parameter Name="realEditType">kEditRealType_RealNumber</Parameter>
      <Parameter Name="multiSelect">false</Parameter>
      <Parameter Name="margin">1</Parameter>
      <Parameter Name="renderMode">kWireframe</Parameter>
      <Parameter Name="viewMode">kTopPlan</Parameter>
      <Parameter Name="hasFrame">true</Parameter>
      <Parameter Name="ControlPoint00X">24,3</Parameter>
      <Parameter Name="ControlPoint00Y">-2,4</Parameter>
      <Parameter Name="ControlPoint01X">12,1</Parameter>
      <Parameter Name="ControlPoint01Y">-4,9</Parameter>
      <Parameter Name="ControlPoint02X">0</Parameter>
      <Parameter Name="ControlPoint02Y">0</Parameter>
      <Parameter Name="__RightUUID"></Parameter>
      <Parameter Name="__BottomUUID"></Parameter>
      <Parameter Name="__savedHandleRightX">24,3</Parameter>
      <Parameter Name="__savedHandleRightY">-2,4</Parameter>
      <Parameter Name="__savedHandleBottomX">12,1</Parameter>
      <Parameter Name="__savedHandleBottomY">-4,9</Parameter>
      <Parameter Name="__arrAlignments">1|0|0;</Parameter>
      <Parameter Name="__fVisControlWidth">24,25699925</Parameter>
      <Parameter Name="__fVisControlHeight">4,86833333</Parameter>
    </Control>
    <Control name="DialogBuilderControl" x="-44.000000" y="113.000000">
      <Parameter Name="__UUID">%LBD875697B-10B9-11DB-9594-00059A3C7800%RB</Parameter>
      <Parameter Name="__locked">false</Parameter>
      <Parameter Name="type">kCheckBox</Parameter>
      <Parameter Name="id">4</Parameter>
      <Parameter Name="constName">SortingCheck</Parameter>
      <Parameter Name="label">Enable sorting</Parameter>
      <Parameter Name="value"></Parameter>
      <Parameter Name="bValue">false</Parameter>
      <Parameter Name="helpText">Check to enable sorting for this list browser.</Parameter>
      <Parameter Name="horzOffset">0</Parameter>
      <Parameter Name="vertOffset">0</Parameter>
      <Parameter Name="alignGroup">0</Parameter>
      <Parameter Name="alignEdge">kRight</Parameter>
      <Parameter Name="alignMode">kResize</Parameter>
      <Parameter Name="visible">true</Parameter>
      <Parameter Name="enabled">true</Parameter>
      <Parameter Name="bindLeft">kNone</Parameter>
      <Parameter Name="bindRight">kNone</Parameter>
      <Parameter Name="bindTop">kNone</Parameter>
      <Parameter Name="bindBottom">kNone</Parameter>
      <Parameter Name="sizeToText">true</Parameter>
      <Parameter Name="ctrlWidth">16</Parameter>
      <Parameter Name="ctrlHeight">16</Parameter>
      <Parameter Name="ctrlLinesCnt">1</Parameter>
      <Parameter Name="realEditType">kEditRealType_RealNumber</Parameter>
      <Parameter Name="multiSelect">false</Parameter>
      <Parameter Name="margin">1</Parameter>
      <Parameter Name="renderMode">kWireframe</Parameter>
      <Parameter Name="viewMode">kTopPlan</Parameter>
      <Parameter Name="hasFrame">true</Parameter>
      <Parameter Name="ControlPoint00X">57</Parameter>
      <Parameter Name="ControlPoint00Y">-2,4</Parameter>
      <Parameter Name="ControlPoint01X">48</Parameter>
      <Parameter Name="ControlPoint01Y">-25</Parameter>
      <Parameter Name="ControlPoint02X">0</Parameter>
      <Parameter Name="ControlPoint02Y">0</Parameter>
      <Parameter Name="__RightUUID">%LBE38109CD-10B9-11DB-9594-00059A3C7800%RB</Parameter>
      <Parameter Name="__BottomUUID">%LBFDAEF111-10B9-11DB-9594-00059A3C7800%RB</Parameter>
      <Parameter Name="__savedHandleRightX">57</Parameter>
      <Parameter Name="__savedHandleRightY">-2,4</Parameter>
      <Parameter Name="__savedHandleBottomX">48</Parameter>
      <Parameter Name="__savedHandleBottomY">-25</Parameter>
      <Parameter Name="__arrAlignments"></Parameter>
      <Parameter Name="__fVisControlWidth">34,43816602</Parameter>
      <Parameter Name="__fVisControlHeight">4,86833333</Parameter>
    </Control>
    <Control name="DialogBuilderControl" x="13.000000" y="113.000000">
      <Parameter Name="__UUID">%LBE38109CD-10B9-11DB-9594-00059A3C7800%RB</Parameter>
      <Parameter Name="__locked">false</Parameter>
      <Parameter Name="type">kCheckBox</Parameter>
      <Parameter Name="id">5</Parameter>
      <Parameter Name="constName">DragNDropCheck</Parameter>
      <Parameter Name="label">Enable drag&amp;drop</Parameter>
      <Parameter Name="value"></Parameter>
      <Parameter Name="bValue">false</Parameter>
      <Parameter Name="helpText">Check to enable drag and drop for this list browser.</Parameter>
      <Parameter Name="horzOffset">0</Parameter>
      <Parameter Name="vertOffset">0</Parameter>
      <Parameter Name="alignGroup">0</Parameter>
      <Parameter Name="alignEdge">kRight</Parameter>
      <Parameter Name="alignMode">kResize</Parameter>
      <Parameter Name="visible">true</Parameter>
      <Parameter Name="enabled">true</Parameter>
      <Parameter Name="bindLeft">kNone</Parameter>
      <Parameter Name="bindRight">kNone</Parameter>
      <Parameter Name="bindTop">kNone</Parameter>
      <Parameter Name="bindBottom">kNone</Parameter>
      <Parameter Name="sizeToText">true</Parameter>
      <Parameter Name="ctrlWidth">16</Parameter>
      <Parameter Name="ctrlHeight">16</Parameter>
      <Parameter Name="ctrlLinesCnt">1</Parameter>
      <Parameter Name="realEditType">kEditRealType_RealNumber</Parameter>
      <Parameter Name="multiSelect">false</Parameter>
      <Parameter Name="margin">1</Parameter>
      <Parameter Name="renderMode">kWireframe</Parameter>
      <Parameter Name="viewMode">kTopPlan</Parameter>
      <Parameter Name="hasFrame">true</Parameter>
      <Parameter Name="ControlPoint00X">41,6</Parameter>
      <Parameter Name="ControlPoint00Y">-2,4</Parameter>
      <Parameter Name="ControlPoint01X">20,8</Parameter>
      <Parameter Name="ControlPoint01Y">-4,9</Parameter>
      <Parameter Name="ControlPoint02X">0</Parameter>
      <Parameter Name="ControlPoint02Y">0</Parameter>
      <Parameter Name="__RightUUID"></Parameter>
      <Parameter Name="__BottomUUID"></Parameter>
      <Parameter Name="__savedHandleRightX">41,6</Parameter>
      <Parameter Name="__savedHandleRightY">-2,4</Parameter>
      <Parameter Name="__savedHandleBottomX">20,8</Parameter>
      <Parameter Name="__savedHandleBottomY">-4,9</Parameter>
      <Parameter Name="__arrAlignments"></Parameter>
      <Parameter Name="__fVisControlWidth">41,55016462</Parameter>
      <Parameter Name="__fVisControlHeight">4,86833333</Parameter>
    </Control>
    <Control name="DialogBuilderControl" x="-48.000000" y="88.000000">
      <Parameter Name="__UUID">%LBFDAEF111-10B9-11DB-9594-00059A3C7800%RB</Parameter>
      <Parameter Name="__locked">false</Parameter>
      <Parameter Name="type">kStaticTextGroup</Parameter>
      <Parameter Name="id">6</Parameter>
      <Parameter Name="constName">ColumnsGroup</Parameter>
      <Parameter Name="label">Columns:</Parameter>
      <Parameter Name="value"></Parameter>
      <Parameter Name="bValue">false</Parameter>
      <Parameter Name="helpText"></Parameter>
      <Parameter Name="horzOffset">0</Parameter>
      <Parameter Name="vertOffset">0</Parameter>
      <Parameter Name="alignGroup">0</Parameter>
      <Parameter Name="alignEdge">kRight</Parameter>
      <Parameter Name="alignMode">kResize</Parameter>
      <Parameter Name="visible">true</Parameter>
      <Parameter Name="enabled">true</Parameter>
      <Parameter Name="bindLeft">kFixed</Parameter>
      <Parameter Name="bindRight">kFixed</Parameter>
      <Parameter Name="bindTop">kFixed</Parameter>
      <Parameter Name="bindBottom">kProp</Parameter>
      <Parameter Name="sizeToText">true</Parameter>
      <Parameter Name="ctrlWidth">16</Parameter>
      <Parameter Name="ctrlHeight">16</Parameter>
      <Parameter Name="ctrlLinesCnt">1</Parameter>
      <Parameter Name="realEditType">kEditRealType_RealNumber</Parameter>
      <Parameter Name="multiSelect">false</Parameter>
      <Parameter Name="margin">1</Parameter>
      <Parameter Name="renderMode">kWireframe</Parameter>
      <Parameter Name="viewMode">kTopPlan</Parameter>
      <Parameter Name="hasFrame">true</Parameter>
      <Parameter Name="ControlPoint00X">103,9</Parameter>
      <Parameter Name="ControlPoint00Y">-44,7</Parameter>
      <Parameter Name="ControlPoint01X">56,2</Parameter>
      <Parameter Name="ControlPoint01Y">-97</Parameter>
      <Parameter Name="ControlPoint02X">101,5</Parameter>
      <Parameter Name="ControlPoint02Y">-86,9</Parameter>
      <Parameter Name="__RightUUID"></Parameter>
      <Parameter Name="__BottomUUID">%LB3CF76163-10BA-11DB-9594-00059A3C7800%RB</Parameter>
      <Parameter Name="__savedHandleRightX">103,9</Parameter>
      <Parameter Name="__savedHandleRightY">-44,7</Parameter>
      <Parameter Name="__savedHandleBottomX">56,2</Parameter>
      <Parameter Name="__savedHandleBottomY">-97</Parameter>
      <Parameter Name="__arrAlignments"></Parameter>
      <Parameter Name="__fVisControlWidth">103,93416667</Parameter>
      <Parameter Name="__fVisControlHeight">89,33416667</Parameter>
    </Control>
    <Control name="DialogBuilderControl" x="-42.000000" y="15.000000">
      <Parameter Name="__UUID">%LB120ABD0A-10BA-11DB-9594-00059A3C7800%RB</Parameter>
      <Parameter Name="__locked">false</Parameter>
      <Parameter Name="type">kStaticText</Parameter>
      <Parameter Name="id">13</Parameter>
      <Parameter Name="constName">ColWidthText</Parameter>
      <Parameter Name="label">Column Width:</Parameter>
      <Parameter Name="value"></Parameter>
      <Parameter Name="bValue">false</Parameter>
      <Parameter Name="helpText"></Parameter>
      <Parameter Name="horzOffset">0</Parameter>
      <Parameter Name="vertOffset">0</Parameter>
      <Parameter Name="alignGroup">0</Parameter>
      <Parameter Name="alignEdge">kRight</Parameter>
      <Parameter Name="alignMode">kResize</Parameter>
      <Parameter Name="visible">true</Parameter>
      <Parameter Name="enabled">true</Parameter>
      <Parameter Name="bindLeft">kNone</Parameter>
      <Parameter Name="bindRight">kNone</Parameter>
      <Parameter Name="bindTop">kNone</Parameter>
      <Parameter Name="bindBottom">kFixed</Parameter>
      <Parameter Name="sizeToText">true</Parameter>
      <Parameter Name="ctrlWidth">16</Parameter>
      <Parameter Name="ctrlHeight">16</Parameter>
      <Parameter Name="ctrlLinesCnt">1</Parameter>
      <Parameter Name="realEditType">kEditRealType_RealNumber</Parameter>
      <Parameter Name="multiSelect">false</Parameter>
      <Parameter Name="margin">1</Parameter>
      <Parameter Name="renderMode">kWireframe</Parameter>
      <Parameter Name="viewMode">kTopPlan</Parameter>
      <Parameter Name="hasFrame">true</Parameter>
      <Parameter Name="ControlPoint00X">43</Parameter>
      <Parameter Name="ControlPoint00Y">-1,4</Parameter>
      <Parameter Name="ControlPoint01X">15,2</Parameter>
      <Parameter Name="ControlPoint01Y">-8</Parameter>
      <Parameter Name="ControlPoint02X">0</Parameter>
      <Parameter Name="ControlPoint02Y">0</Parameter>
      <Parameter Name="__RightUUID">%LB120ABD0B-10BA-11DB-9594-00059A3C7800%RB</Parameter>
      <Parameter Name="__BottomUUID">%LBF72A85A8-54A6-11DB-9C68-00508D5E9851%RB</Parameter>
      <Parameter Name="__savedHandleRightX">43</Parameter>
      <Parameter Name="__savedHandleRightY">-1,4</Parameter>
      <Parameter Name="__savedHandleBottomX">15,2</Parameter>
      <Parameter Name="__savedHandleBottomY">-8</Parameter>
      <Parameter Name="__arrAlignments"></Parameter>
      <Parameter Name="__fVisControlWidth">28,06699914</Parameter>
      <Parameter Name="__fVisControlHeight">4,86833333</Parameter>
    </Control>
    <Control name="DialogBuilderControl" x="1.000000" y="16.000000">
      <Parameter Name="__UUID">%LB120ABD0B-10BA-11DB-9594-00059A3C7800%RB</Parameter>
      <Parameter Name="__locked">false</Parameter>
      <Parameter Name="type">kEditIntegerBox</Parameter>
      <Parameter Name="id">14</Parameter>
      <Parameter Name="constName">ColWidthEdit</Parameter>
      <Parameter Name="label"></Parameter>
      <Parameter Name="value">0</Parameter>
      <Parameter Name="bValue">false</Parameter>
      <Parameter Name="helpText">Enter column width for the selected column.</Parameter>
      <Parameter Name="horzOffset">0</Parameter>
      <Parameter Name="vertOffset">0</Parameter>
      <Parameter Name="alignGroup">1</Parameter>
      <Parameter Name="alignEdge">kLeft</Parameter>
      <Parameter Name="alignMode">kShift</Parameter>
      <Parameter Name="visible">true</Parameter>
      <Parameter Name="enabled">true</Parameter>
      <Parameter Name="bindLeft">kNone</Parameter>
      <Parameter Name="bindRight">kNone</Parameter>
      <Parameter Name="bindTop">kNone</Parameter>
      <Parameter Name="bindBottom">kFixed</Parameter>
      <Parameter Name="sizeToText">true</Parameter>
      <Parameter Name="ctrlWidth">28</Parameter>
      <Parameter Name="ctrlHeight">16</Parameter>
      <Parameter Name="ctrlLinesCnt">1</Parameter>
      <Parameter Name="realEditType">kEditRealType_RealNumber</Parameter>
      <Parameter Name="multiSelect">false</Parameter>
      <Parameter Name="margin">1</Parameter>
      <Parameter Name="renderMode">kWireframe</Parameter>
      <Parameter Name="viewMode">kTopPlan</Parameter>
      <Parameter Name="hasFrame">true</Parameter>
      <Parameter Name="ControlPoint00X">29,9</Parameter>
      <Parameter Name="ControlPoint00Y">-2,4</Parameter>
      <Parameter Name="ControlPoint01X">15</Parameter>
      <Parameter Name="ControlPoint01Y">-4,9</Parameter>
      <Parameter Name="ControlPoint02X">0</Parameter>
      <Parameter Name="ControlPoint02Y">0</Parameter>
      <Parameter Name="__RightUUID"></Parameter>
      <Parameter Name="__BottomUUID"></Parameter>
      <Parameter Name="__savedHandleRightX">29,9</Parameter>
      <Parameter Name="__savedHandleRightY">-2,4</Parameter>
      <Parameter Name="__savedHandleBottomX">15</Parameter>
      <Parameter Name="__savedHandleBottomY">-4,9</Parameter>
      <Parameter Name="__arrAlignments">1|2|1;</Parameter>
      <Parameter Name="__fVisControlWidth">29,92966537</Parameter>
      <Parameter Name="__fVisControlHeight">4,86833333</Parameter>
    </Control>
    <Control name="DialogBuilderControl" x="-48.000000" y="-9.000000">
      <Parameter Name="__UUID">%LB3CF76163-10BA-11DB-9594-00059A3C7800%RB</Parameter>
      <Parameter Name="__locked">false</Parameter>
      <Parameter Name="type">kStaticTextGroup</Parameter>
      <Parameter Name="id">17</Parameter>
      <Parameter Name="constName">ItemsGroup</Parameter>
      <Parameter Name="label">Items:</Parameter>
      <Parameter Name="value"></Parameter>
      <Parameter Name="bValue">false</Parameter>
      <Parameter Name="helpText"></Parameter>
      <Parameter Name="horzOffset">0</Parameter>
      <Parameter Name="vertOffset">0</Parameter>
      <Parameter Name="alignGroup">0</Parameter>
      <Parameter Name="alignEdge">kRight</Parameter>
      <Parameter Name="alignMode">kResize</Parameter>
      <Parameter Name="visible">true</Parameter>
      <Parameter Name="enabled">true</Parameter>
      <Parameter Name="bindLeft">kFixed</Parameter>
      <Parameter Name="bindRight">kFixed</Parameter>
      <Parameter Name="bindTop">kProp</Parameter>
      <Parameter Name="bindBottom">kFixed</Parameter>
      <Parameter Name="sizeToText">true</Parameter>
      <Parameter Name="ctrlWidth">16</Parameter>
      <Parameter Name="ctrlHeight">16</Parameter>
      <Parameter Name="ctrlLinesCnt">1</Parameter>
      <Parameter Name="realEditType">kEditRealType_RealNumber</Parameter>
      <Parameter Name="multiSelect">false</Parameter>
      <Parameter Name="margin">1</Parameter>
      <Parameter Name="renderMode">kWireframe</Parameter>
      <Parameter Name="viewMode">kTopPlan</Parameter>
      <Parameter Name="hasFrame">true</Parameter>
      <Parameter Name="ControlPoint00X">112,4</Parameter>
      <Parameter Name="ControlPoint00Y">-58,7</Parameter>
      <Parameter Name="ControlPoint01X">56,2</Parameter>
      <Parameter Name="ControlPoint01Y">-117,4</Parameter>
      <Parameter Name="ControlPoint02X">110</Parameter>
      <Parameter Name="ControlPoint02Y">-115</Parameter>
      <Parameter Name="__RightUUID"></Parameter>
      <Parameter Name="__BottomUUID"></Parameter>
      <Parameter Name="__savedHandleRightX">112,4</Parameter>
      <Parameter Name="__savedHandleRightY">-58,7</Parameter>
      <Parameter Name="__savedHandleBottomX">56,2</Parameter>
      <Parameter Name="__savedHandleBottomY">-117,4</Parameter>
      <Parameter Name="__arrAlignments"></Parameter>
      <Parameter Name="__fVisControlWidth">112,43416667</Parameter>
      <Parameter Name="__fVisControlHeight">117,43416667</Parameter>
    </Control>
    <Control name="DialogBuilderControl" x="-40.000000" y="-25.000000">
      <Parameter Name="__UUID">%LB483E9C66-10BA-11DB-9594-00059A3C7800%RB</Parameter>
      <Parameter Name="__locked">false</Parameter>
      <Parameter Name="type">kListBox</Parameter>
      <Parameter Name="id">18</Parameter>
      <Parameter Name="constName">ItemsList</Parameter>
      <Parameter Name="label"></Parameter>
      <Parameter Name="value"></Parameter>
      <Parameter Name="bValue">false</Parameter>
      <Parameter Name="helpText">Items list in the selected column.</Parameter>
      <Parameter Name="horzOffset">0</Parameter>
      <Parameter Name="vertOffset">0</Parameter>
      <Parameter Name="alignGroup">0</Parameter>
      <Parameter Name="alignEdge">kRight</Parameter>
      <Parameter Name="alignMode">kResize</Parameter>
      <Parameter Name="visible">true</Parameter>
      <Parameter Name="enabled">true</Parameter>
      <Parameter Name="bindLeft">kNone</Parameter>
      <Parameter Name="bindRight">kNone</Parameter>
      <Parameter Name="bindTop">kNone</Parameter>
      <Parameter Name="bindBottom">kNone</Parameter>
      <Parameter Name="sizeToText">true</Parameter>
      <Parameter Name="ctrlWidth">40</Parameter>
      <Parameter Name="ctrlHeight">16</Parameter>
      <Parameter Name="ctrlLinesCnt">6</Parameter>
      <Parameter Name="realEditType">kEditRealType_RealNumber</Parameter>
      <Parameter Name="multiSelect">false</Parameter>
      <Parameter Name="margin">1</Parameter>
      <Parameter Name="renderMode">kWireframe</Parameter>
      <Parameter Name="viewMode">kTopPlan</Parameter>
      <Parameter Name="hasFrame">true</Parameter>
      <Parameter Name="ControlPoint00X">67</Parameter>
      <Parameter Name="ControlPoint00Y">-0,4</Parameter>
      <Parameter Name="ControlPoint01X">16,2</Parameter>
      <Parameter Name="ControlPoint01Y">-50</Parameter>
      <Parameter Name="ControlPoint02X">0</Parameter>
      <Parameter Name="ControlPoint02Y">0</Parameter>
      <Parameter Name="__RightUUID">%LB483E9C67-10BA-11DB-9594-00059A3C7800%RB</Parameter>
      <Parameter Name="__BottomUUID">%LB1EB925D6-4FF5-11DB-9C61-00508D5E9851%RB</Parameter>
      <Parameter Name="__savedHandleRightX">67</Parameter>
      <Parameter Name="__savedHandleRightY">-0,4</Parameter>
      <Parameter Name="__savedHandleBottomX">16,2</Parameter>
      <Parameter Name="__savedHandleBottomY">-50</Parameter>
      <Parameter Name="__arrAlignments"></Parameter>
      <Parameter Name="__fVisControlWidth">32,00400043</Parameter>
      <Parameter Name="__fVisControlHeight">24,34166667</Parameter>
    </Control>
    <Control name="DialogBuilderControl" x="27.000000" y="-23.000000">
      <Parameter Name="__UUID">%LB483E9C67-10BA-11DB-9594-00059A3C7800%RB</Parameter>
      <Parameter Name="__locked">false</Parameter>
      <Parameter Name="type">kPushButton</Parameter>
      <Parameter Name="id">19</Parameter>
      <Parameter Name="constName">AddItemButton</Parameter>
      <Parameter Name="label">Add...</Parameter>
      <Parameter Name="value"></Parameter>
      <Parameter Name="bValue">false</Parameter>
      <Parameter Name="helpText">Add new item in the selected column.</Parameter>
      <Parameter Name="horzOffset">0</Parameter>
      <Parameter Name="vertOffset">0</Parameter>
      <Parameter Name="alignGroup">2</Parameter>
      <Parameter Name="alignEdge">kRight</Parameter>
      <Parameter Name="alignMode">kResize</Parameter>
      <Parameter Name="visible">true</Parameter>
      <Parameter Name="enabled">true</Parameter>
      <Parameter Name="bindLeft">kNone</Parameter>
      <Parameter Name="bindRight">kFixed</Parameter>
      <Parameter Name="bindTop">kFixed</Parameter>
      <Parameter Name="bindBottom">kNone</Parameter>
      <Parameter Name="sizeToText">true</Parameter>
      <Parameter Name="ctrlWidth">16</Parameter>
      <Parameter Name="ctrlHeight">16</Parameter>
      <Parameter Name="ctrlLinesCnt">1</Parameter>
      <Parameter Name="realEditType">kEditRealType_RealNumber</Parameter>
      <Parameter Name="multiSelect">false</Parameter>
      <Parameter Name="margin">1</Parameter>
      <Parameter Name="renderMode">kWireframe</Parameter>
      <Parameter Name="viewMode">kTopPlan</Parameter>
      <Parameter Name="hasFrame">true</Parameter>
      <Parameter Name="ControlPoint00X">13,1</Parameter>
      <Parameter Name="ControlPoint00Y">-2,4</Parameter>
      <Parameter Name="ControlPoint01X">6,4</Parameter>
      <Parameter Name="ControlPoint01Y">-9</Parameter>
      <Parameter Name="ControlPoint02X">0</Parameter>
      <Parameter Name="ControlPoint02Y">0</Parameter>
      <Parameter Name="__RightUUID"></Parameter>
      <Parameter Name="__BottomUUID">%LB483E9C68-10BA-11DB-9594-00059A3C7800%RB</Parameter>
      <Parameter Name="__savedHandleRightX">13,1</Parameter>
      <Parameter Name="__savedHandleRightY">-2,4</Parameter>
      <Parameter Name="__savedHandleBottomX">6,4</Parameter>
      <Parameter Name="__savedHandleBottomY">-9</Parameter>
      <Parameter Name="__arrAlignments">2|0|0;</Parameter>
      <Parameter Name="__fVisControlWidth">13,08099981</Parameter>
      <Parameter Name="__fVisControlHeight">4,86833333</Parameter>
    </Control>
    <Control name="DialogBuilderControl" x="27.000000" y="-32.000000">
      <Parameter Name="__UUID">%LB483E9C68-10BA-11DB-9594-00059A3C7800%RB</Parameter>
      <Parameter Name="__locked">false</Parameter>
      <Parameter Name="type">kPushButton</Parameter>
      <Parameter Name="id">20</Parameter>
      <Parameter Name="constName">EditItemButton</Parameter>
      <Parameter Name="label">Edit...</Parameter>
      <Parameter Name="value"></Parameter>
      <Parameter Name="bValue">false</Parameter>
      <Parameter Name="helpText">Edit the selected item in the selected column.</Parameter>
      <Parameter Name="horzOffset">0</Parameter>
      <Parameter Name="vertOffset">0</Parameter>
      <Parameter Name="alignGroup">2</Parameter>
      <Parameter Name="alignEdge">kRight</Parameter>
      <Parameter Name="alignMode">kResize</Parameter>
      <Parameter Name="visible">true</Parameter>
      <Parameter Name="enabled">true</Parameter>
      <Parameter Name="bindLeft">kNone</Parameter>
      <Parameter Name="bindRight">kFixed</Parameter>
      <Parameter Name="bindTop">kFixed</Parameter>
      <Parameter Name="bindBottom">kNone</Parameter>
      <Parameter Name="sizeToText">true</Parameter>
      <Parameter Name="ctrlWidth">16</Parameter>
      <Parameter Name="ctrlHeight">16</Parameter>
      <Parameter Name="ctrlLinesCnt">1</Parameter>
      <Parameter Name="realEditType">kEditRealType_RealNumber</Parameter>
      <Parameter Name="multiSelect">false</Parameter>
      <Parameter Name="margin">1</Parameter>
      <Parameter Name="renderMode">kWireframe</Parameter>
      <Parameter Name="viewMode">kTopPlan</Parameter>
      <Parameter Name="hasFrame">true</Parameter>
      <Parameter Name="ControlPoint00X">12,8</Parameter>
      <Parameter Name="ControlPoint00Y">-2,4</Parameter>
      <Parameter Name="ControlPoint01X">8,9</Parameter>
      <Parameter Name="ControlPoint01Y">-11</Parameter>
      <Parameter Name="ControlPoint02X">0</Parameter>
      <Parameter Name="ControlPoint02Y">0</Parameter>
      <Parameter Name="__RightUUID"></Parameter>
      <Parameter Name="__BottomUUID">%LB483E9C69-10BA-11DB-9594-00059A3C7800%RB</Parameter>
      <Parameter Name="__savedHandleRightX">12,8</Parameter>
      <Parameter Name="__savedHandleRightY">-2,4</Parameter>
      <Parameter Name="__savedHandleBottomX">8,9</Parameter>
      <Parameter Name="__savedHandleBottomY">-11</Parameter>
      <Parameter Name="__arrAlignments">2|0|0;</Parameter>
      <Parameter Name="__fVisControlWidth">12,82700005</Parameter>
      <Parameter Name="__fVisControlHeight">4,86833333</Parameter>
    </Control>
    <Control name="DialogBuilderControl" x="27.000000" y="-43.000000">
      <Parameter Name="__UUID">%LB483E9C69-10BA-11DB-9594-00059A3C7800%RB</Parameter>
      <Parameter Name="__locked">false</Parameter>
      <Parameter Name="type">kPushButton</Parameter>
      <Parameter Name="id">21</Parameter>
      <Parameter Name="constName">RemoveItemButton</Parameter>
      <Parameter Name="label">Remove</Parameter>
      <Parameter Name="value"></Parameter>
      <Parameter Name="bValue">false</Parameter>
      <Parameter Name="helpText">Remove the selected item in the selected column.</Parameter>
      <Parameter Name="horzOffset">0</Parameter>
      <Parameter Name="vertOffset">0</Parameter>
      <Parameter Name="alignGroup">2</Parameter>
      <Parameter Name="alignEdge">kRight</Parameter>
      <Parameter Name="alignMode">kResize</Parameter>
      <Parameter Name="visible">true</Parameter>
      <Parameter Name="enabled">true</Parameter>
      <Parameter Name="bindLeft">kNone</Parameter>
      <Parameter Name="bindRight">kFixed</Parameter>
      <Parameter Name="bindTop">kFixed</Parameter>
      <Parameter Name="bindBottom">kNone</Parameter>
      <Parameter Name="sizeToText">true</Parameter>
      <Parameter Name="ctrlWidth">16</Parameter>
      <Parameter Name="ctrlHeight">16</Parameter>
      <Parameter Name="ctrlLinesCnt">1</Parameter>
      <Parameter Name="realEditType">kEditRealType_RealNumber</Parameter>
      <Parameter Name="multiSelect">false</Parameter>
      <Parameter Name="margin">1</Parameter>
      <Parameter Name="renderMode">kWireframe</Parameter>
      <Parameter Name="viewMode">kTopPlan</Parameter>
      <Parameter Name="hasFrame">true</Parameter>
      <Parameter Name="ControlPoint00X">17,7</Parameter>
      <Parameter Name="ControlPoint00Y">-2,4</Parameter>
      <Parameter Name="ControlPoint01X">9,4</Parameter>
      <Parameter Name="ControlPoint01Y">-10</Parameter>
      <Parameter Name="ControlPoint02X">0</Parameter>
      <Parameter Name="ControlPoint02Y">0</Parameter>
      <Parameter Name="__RightUUID"></Parameter>
      <Parameter Name="__BottomUUID">%LB483E9C6A-10BA-11DB-9594-00059A3C7800%RB</Parameter>
      <Parameter Name="__savedHandleRightX">17,7</Parameter>
      <Parameter Name="__savedHandleRightY">-2,4</Parameter>
      <Parameter Name="__savedHandleBottomX">9,4</Parameter>
      <Parameter Name="__savedHandleBottomY">-10</Parameter>
      <Parameter Name="__arrAlignments">2|0|0;</Parameter>
      <Parameter Name="__fVisControlWidth">17,73766607</Parameter>
      <Parameter Name="__fVisControlHeight">4,86833333</Parameter>
    </Control>
    <Control name="DialogBuilderControl" x="27.000000" y="-53.000000">
      <Parameter Name="__UUID">%LB483E9C6A-10BA-11DB-9594-00059A3C7800%RB</Parameter>
      <Parameter Name="__locked">false</Parameter>
      <Parameter Name="type">kPushButton</Parameter>
      <Parameter Name="id">22</Parameter>
      <Parameter Name="constName">MoveUpItemButton</Parameter>
      <Parameter Name="label">Move Up</Parameter>
      <Parameter Name="value"></Parameter>
      <Parameter Name="bValue">false</Parameter>
      <Parameter Name="helpText">Move up the selected item in the selected column.</Parameter>
      <Parameter Name="horzOffset">0</Parameter>
      <Parameter Name="vertOffset">0</Parameter>
      <Parameter Name="alignGroup">2</Parameter>
      <Parameter Name="alignEdge">kRight</Parameter>
      <Parameter Name="alignMode">kResize</Parameter>
      <Parameter Name="visible">true</Parameter>
      <Parameter Name="enabled">true</Parameter>
      <Parameter Name="bindLeft">kNone</Parameter>
      <Parameter Name="bindRight">kFixed</Parameter>
      <Parameter Name="bindTop">kFixed</Parameter>
      <Parameter Name="bindBottom">kNone</Parameter>
      <Parameter Name="sizeToText">true</Parameter>
      <Parameter Name="ctrlWidth">16</Parameter>
      <Parameter Name="ctrlHeight">16</Parameter>
      <Parameter Name="ctrlLinesCnt">1</Parameter>
      <Parameter Name="realEditType">kEditRealType_RealNumber</Parameter>
      <Parameter Name="multiSelect">false</Parameter>
      <Parameter Name="margin">1</Parameter>
      <Parameter Name="renderMode">kWireframe</Parameter>
      <Parameter Name="viewMode">kTopPlan</Parameter>
      <Parameter Name="hasFrame">true</Parameter>
      <Parameter Name="ControlPoint00X">18,9</Parameter>
      <Parameter Name="ControlPoint00Y">-2,4</Parameter>
      <Parameter Name="ControlPoint01X">12,1</Parameter>
      <Parameter Name="ControlPoint01Y">-9</Parameter>
      <Parameter Name="ControlPoint02X">0</Parameter>
      <Parameter Name="ControlPoint02Y">0</Parameter>
      <Parameter Name="__RightUUID"></Parameter>
      <Parameter Name="__BottomUUID">%LB483E9C6B-10BA-11DB-9594-00059A3C7800%RB</Parameter>
      <Parameter Name="__savedHandleRightX">18,9</Parameter>
      <Parameter Name="__savedHandleRightY">-2,4</Parameter>
      <Parameter Name="__savedHandleBottomX">12,1</Parameter>
      <Parameter Name="__savedHandleBottomY">-9</Parameter>
      <Parameter Name="__arrAlignments">2|0|0;</Parameter>
      <Parameter Name="__fVisControlWidth">18,88066667</Parameter>
      <Parameter Name="__fVisControlHeight">4,86833333</Parameter>
    </Control>
    <Control name="DialogBuilderControl" x="27.000000" y="-62.000000">
      <Parameter Name="__UUID">%LB483E9C6B-10BA-11DB-9594-00059A3C7800%RB</Parameter>
      <Parameter Name="__locked">false</Parameter>
      <Parameter Name="type">kPushButton</Parameter>
      <Parameter Name="id">23</Parameter>
      <Parameter Name="constName">MoveDownItemButton</Parameter>
      <Parameter Name="label">Move Down</Parameter>
      <Parameter Name="value"></Parameter>
      <Parameter Name="bValue">false</Parameter>
      <Parameter Name="helpText">Move down the selected item in the selected column.</Parameter>
      <Parameter Name="horzOffset">0</Parameter>
      <Parameter Name="vertOffset">0</Parameter>
      <Parameter Name="alignGroup">2</Parameter>
      <Parameter Name="alignEdge">kRight</Parameter>
      <Parameter Name="alignMode">kResize</Parameter>
      <Parameter Name="visible">true</Parameter>
      <Parameter Name="enabled">true</Parameter>
      <Parameter Name="bindLeft">kNone</Parameter>
      <Parameter Name="bindRight">kFixed</Parameter>
      <Parameter Name="bindTop">kFixed</Parameter>
      <Parameter Name="bindBottom">kNone</Parameter>
      <Parameter Name="sizeToText">true</Parameter>
      <Parameter Name="ctrlWidth">16</Parameter>
      <Parameter Name="ctrlHeight">16</Parameter>
      <Parameter Name="ctrlLinesCnt">1</Parameter>
      <Parameter Name="realEditType">kEditRealType_RealNumber</Parameter>
      <Parameter Name="multiSelect">false</Parameter>
      <Parameter Name="margin">1</Parameter>
      <Parameter Name="renderMode">kWireframe</Parameter>
      <Parameter Name="viewMode">kTopPlan</Parameter>
      <Parameter Name="hasFrame">true</Parameter>
      <Parameter Name="ControlPoint00X">24,3</Parameter>
      <Parameter Name="ControlPoint00Y">-2,4</Parameter>
      <Parameter Name="ControlPoint01X">12,1</Parameter>
      <Parameter Name="ControlPoint01Y">-4,9</Parameter>
      <Parameter Name="ControlPoint02X">0</Parameter>
      <Parameter Name="ControlPoint02Y">0</Parameter>
      <Parameter Name="__RightUUID"></Parameter>
      <Parameter Name="__BottomUUID"></Parameter>
      <Parameter Name="__savedHandleRightX">24,3</Parameter>
      <Parameter Name="__savedHandleRightY">-2,4</Parameter>
      <Parameter Name="__savedHandleBottomX">12,1</Parameter>
      <Parameter Name="__savedHandleBottomY">-4,9</Parameter>
      <Parameter Name="__arrAlignments">2|0|0;</Parameter>
      <Parameter Name="__fVisControlWidth">24,25699925</Parameter>
      <Parameter Name="__fVisControlHeight">4,86833333</Parameter>
    </Control>
    <Control name="DialogBuilderControl" x="-40.000000" y="-85.000000">
      <Parameter Name="__UUID">%LBDB6D0572-4FF4-11DB-9C61-00508D5E9851%RB</Parameter>
      <Parameter Name="__locked">false</Parameter>
      <Parameter Name="type">kStaticText</Parameter>
      <Parameter Name="id">25</Parameter>
      <Parameter Name="constName">ItemStyleText</Parameter>
      <Parameter Name="label">Style:</Parameter>
      <Parameter Name="value"></Parameter>
      <Parameter Name="bValue">false</Parameter>
      <Parameter Name="helpText"></Parameter>
      <Parameter Name="horzOffset">0</Parameter>
      <Parameter Name="vertOffset">0</Parameter>
      <Parameter Name="alignGroup">0</Parameter>
      <Parameter Name="alignEdge">kRight</Parameter>
      <Parameter Name="alignMode">kResize</Parameter>
      <Parameter Name="visible">true</Parameter>
      <Parameter Name="enabled">true</Parameter>
      <Parameter Name="bindLeft">kNone</Parameter>
      <Parameter Name="bindRight">kNone</Parameter>
      <Parameter Name="bindTop">kNone</Parameter>
      <Parameter Name="bindBottom">kFixed</Parameter>
      <Parameter Name="sizeToText">true</Parameter>
      <Parameter Name="ctrlWidth">16</Parameter>
      <Parameter Name="ctrlHeight">16</Parameter>
      <Parameter Name="ctrlLinesCnt">1</Parameter>
      <Parameter Name="realEditType">kEditRealType_RealNumber</Parameter>
      <Parameter Name="multiSelect">false</Parameter>
      <Parameter Name="margin">1</Parameter>
      <Parameter Name="renderMode">kWireframe</Parameter>
      <Parameter Name="viewMode">kTopPlan</Parameter>
      <Parameter Name="hasFrame">true</Parameter>
      <Parameter Name="ControlPoint00X">42</Parameter>
      <Parameter Name="ControlPoint00Y">-2,4</Parameter>
      <Parameter Name="ControlPoint01X">11,7</Parameter>
      <Parameter Name="ControlPoint01Y">-12</Parameter>
      <Parameter Name="ControlPoint02X">0</Parameter>
      <Parameter Name="ControlPoint02Y">0</Parameter>
      <Parameter Name="__RightUUID">%LB4E8BF11C-4FF5-11DB-9C61-00508D5E9851%RB</Parameter>
      <Parameter Name="__BottomUUID">%LB0B95A560-4FF5-11DB-9C61-00508D5E9851%RB</Parameter>
      <Parameter Name="__savedHandleRightX">42</Parameter>
      <Parameter Name="__savedHandleRightY">-2,4</Parameter>
      <Parameter Name="__savedHandleBottomX">11,7</Parameter>
      <Parameter Name="__savedHandleBottomY">-12</Parameter>
      <Parameter Name="__arrAlignments"></Parameter>
      <Parameter Name="__fVisControlWidth">10,58333333</Parameter>
      <Parameter Name="__fVisControlHeight">4,86833333</Parameter>
    </Control>
    <Control name="DialogBuilderControl" x="-40.000000" y="-97.000000">
      <Parameter Name="__UUID">%LB0B95A560-4FF5-11DB-9C61-00508D5E9851%RB</Parameter>
      <Parameter Name="__locked">false</Parameter>
      <Parameter Name="type">kStaticText</Parameter>
      <Parameter Name="id">27</Parameter>
      <Parameter Name="constName">ItemJustText</Parameter>
      <Parameter Name="label">Justification:</Parameter>
      <Parameter Name="value"></Parameter>
      <Parameter Name="bValue">false</Parameter>
      <Parameter Name="helpText"></Parameter>
      <Parameter Name="horzOffset">0</Parameter>
      <Parameter Name="vertOffset">0</Parameter>
      <Parameter Name="alignGroup">0</Parameter>
      <Parameter Name="alignEdge">kRight</Parameter>
      <Parameter Name="alignMode">kResize</Parameter>
      <Parameter Name="visible">true</Parameter>
      <Parameter Name="enabled">true</Parameter>
      <Parameter Name="bindLeft">kNone</Parameter>
      <Parameter Name="bindRight">kNone</Parameter>
      <Parameter Name="bindTop">kNone</Parameter>
      <Parameter Name="bindBottom">kFixed</Parameter>
      <Parameter Name="sizeToText">true</Parameter>
      <Parameter Name="ctrlWidth">16</Parameter>
      <Parameter Name="ctrlHeight">16</Parameter>
      <Parameter Name="ctrlLinesCnt">1</Parameter>
      <Parameter Name="realEditType">kEditRealType_RealNumber</Parameter>
      <Parameter Name="multiSelect">false</Parameter>
      <Parameter Name="margin">1</Parameter>
      <Parameter Name="renderMode">kWireframe</Parameter>
      <Parameter Name="viewMode">kTopPlan</Parameter>
      <Parameter Name="hasFrame">true</Parameter>
      <Parameter Name="ControlPoint00X">42</Parameter>
      <Parameter Name="ControlPoint00Y">-3,4</Parameter>
      <Parameter Name="ControlPoint01X">11,7</Parameter>
      <Parameter Name="ControlPoint01Y">-4,9</Parameter>
      <Parameter Name="ControlPoint02X">0</Parameter>
      <Parameter Name="ControlPoint02Y">0</Parameter>
      <Parameter Name="__RightUUID">%LB4E8BF11D-4FF5-11DB-9C61-00508D5E9851%RB</Parameter>
      <Parameter Name="__BottomUUID"></Parameter>
      <Parameter Name="__savedHandleRightX">42</Parameter>
      <Parameter Name="__savedHandleRightY">-3,4</Parameter>
      <Parameter Name="__savedHandleBottomX">11,7</Parameter>
      <Parameter Name="__savedHandleBottomY">-4,9</Parameter>
      <Parameter Name="__arrAlignments"></Parameter>
      <Parameter Name="__fVisControlWidth">23,41033355</Parameter>
      <Parameter Name="__fVisControlHeight">4,86833333</Parameter>
    </Control>
    <Control name="DialogBuilderControl" x="-40.000000" y="-75.000000">
      <Parameter Name="__UUID">%LB1EB925D6-4FF5-11DB-9C61-00508D5E9851%RB</Parameter>
      <Parameter Name="__locked">false</Parameter>
      <Parameter Name="type">kCheckBox</Parameter>
      <Parameter Name="id">24</Parameter>
      <Parameter Name="constName">ItemEnabledCheck</Parameter>
      <Parameter Name="label">Item Enabled</Parameter>
      <Parameter Name="value"></Parameter>
      <Parameter Name="bValue">false</Parameter>
      <Parameter Name="helpText">Enable the curretly selected item.</Parameter>
      <Parameter Name="horzOffset">0</Parameter>
      <Parameter Name="vertOffset">0</Parameter>
      <Parameter Name="alignGroup">0</Parameter>
      <Parameter Name="alignEdge">kRight</Parameter>
      <Parameter Name="alignMode">kResize</Parameter>
      <Parameter Name="visible">true</Parameter>
      <Parameter Name="enabled">true</Parameter>
      <Parameter Name="bindLeft">kNone</Parameter>
      <Parameter Name="bindRight">kNone</Parameter>
      <Parameter Name="bindTop">kNone</Parameter>
      <Parameter Name="bindBottom">kFixed</Parameter>
      <Parameter Name="sizeToText">true</Parameter>
      <Parameter Name="ctrlWidth">16</Parameter>
      <Parameter Name="ctrlHeight">16</Parameter>
      <Parameter Name="ctrlLinesCnt">1</Parameter>
      <Parameter Name="realEditType">kEditRealType_RealNumber</Parameter>
      <Parameter Name="multiSelect">false</Parameter>
      <Parameter Name="margin">1</Parameter>
      <Parameter Name="renderMode">kWireframe</Parameter>
      <Parameter Name="viewMode">kTopPlan</Parameter>
      <Parameter Name="hasFrame">true</Parameter>
      <Parameter Name="ControlPoint00X">32,4</Parameter>
      <Parameter Name="ControlPoint00Y">-2,4</Parameter>
      <Parameter Name="ControlPoint01X">5,3</Parameter>
      <Parameter Name="ControlPoint01Y">-10</Parameter>
      <Parameter Name="ControlPoint02X">0</Parameter>
      <Parameter Name="ControlPoint02Y">0</Parameter>
      <Parameter Name="__RightUUID"></Parameter>
      <Parameter Name="__BottomUUID">%LBDB6D0572-4FF4-11DB-9C61-00508D5E9851%RB</Parameter>
      <Parameter Name="__savedHandleRightX">32,4</Parameter>
      <Parameter Name="__savedHandleRightY">-2,4</Parameter>
      <Parameter Name="__savedHandleBottomX">5,3</Parameter>
      <Parameter Name="__savedHandleBottomY">-10</Parameter>
      <Parameter Name="__arrAlignments"></Parameter>
      <Parameter Name="__fVisControlWidth">32,40616527</Parameter>
      <Parameter Name="__fVisControlHeight">4,86833333</Parameter>
    </Control>
    <Control name="DialogBuilderControl" x="2.000000" y="-85.000000">
      <Parameter Name="__UUID">%LB4E8BF11C-4FF5-11DB-9C61-00508D5E9851%RB</Parameter>
      <Parameter Name="__locked">false</Parameter>
      <Parameter Name="type">kTextPopup</Parameter>
      <Parameter Name="id">26</Parameter>
      <Parameter Name="constName">StylePopup</Parameter>
      <Parameter Name="label"></Parameter>
      <Parameter Name="value"></Parameter>
      <Parameter Name="bValue">false</Parameter>
      <Parameter Name="helpText">Select the currently selected item style.</Parameter>
      <Parameter Name="horzOffset">0</Parameter>
      <Parameter Name="vertOffset">0</Parameter>
      <Parameter Name="alignGroup">1</Parameter>
      <Parameter Name="alignEdge">kLeft</Parameter>
      <Parameter Name="alignMode">kShift</Parameter>
      <Parameter Name="visible">true</Parameter>
      <Parameter Name="enabled">true</Parameter>
      <Parameter Name="bindLeft">kNone</Parameter>
      <Parameter Name="bindRight">kNone</Parameter>
      <Parameter Name="bindTop">kNone</Parameter>
      <Parameter Name="bindBottom">kFixed</Parameter>
      <Parameter Name="sizeToText">true</Parameter>
      <Parameter Name="ctrlWidth">25</Parameter>
      <Parameter Name="ctrlHeight">16</Parameter>
      <Parameter Name="ctrlLinesCnt">1</Parameter>
      <Parameter Name="realEditType">kEditRealType_RealNumber</Parameter>
      <Parameter Name="multiSelect">false</Parameter>
      <Parameter Name="margin">1</Parameter>
      <Parameter Name="renderMode">kWireframe</Parameter>
      <Parameter Name="viewMode">kTopPlan</Parameter>
      <Parameter Name="hasFrame">true</Parameter>
      <Parameter Name="ControlPoint00X">22,7</Parameter>
      <Parameter Name="ControlPoint00Y">-2,4</Parameter>
      <Parameter Name="ControlPoint01X">11,3</Parameter>
      <Parameter Name="ControlPoint01Y">-4,9</Parameter>
      <Parameter Name="ControlPoint02X">0</Parameter>
      <Parameter Name="ControlPoint02Y">0</Parameter>
      <Parameter Name="__RightUUID"></Parameter>
      <Parameter Name="__BottomUUID"></Parameter>
      <Parameter Name="__savedHandleRightX">22,7</Parameter>
      <Parameter Name="__savedHandleRightY">-2,4</Parameter>
      <Parameter Name="__savedHandleBottomX">11,3</Parameter>
      <Parameter Name="__savedHandleBottomY">-4,9</Parameter>
      <Parameter Name="__arrAlignments">1|2|1;</Parameter>
      <Parameter Name="__fVisControlWidth">22,69066656</Parameter>
      <Parameter Name="__fVisControlHeight">4,86833333</Parameter>
    </Control>
    <Control name="DialogBuilderControl" x="2.000000" y="-98.000000">
      <Parameter Name="__UUID">%LB4E8BF11D-4FF5-11DB-9C61-00508D5E9851%RB</Parameter>
      <Parameter Name="__locked">false</Parameter>
      <Parameter Name="type">kTextPopup</Parameter>
      <Parameter Name="id">28</Parameter>
      <Parameter Name="constName">JustPopup</Parameter>
      <Parameter Name="label"></Parameter>
      <Parameter Name="value"></Parameter>
      <Parameter Name="bValue">false</Parameter>
      <Parameter Name="helpText">Select justification for the selected item.</Parameter>
      <Parameter Name="horzOffset">0</Parameter>
      <Parameter Name="vertOffset">0</Parameter>
      <Parameter Name="alignGroup">1</Parameter>
      <Parameter Name="alignEdge">kLeft</Parameter>
      <Parameter Name="alignMode">kShift</Parameter>
      <Parameter Name="visible">true</Parameter>
      <Parameter Name="enabled">true</Parameter>
      <Parameter Name="bindLeft">kNone</Parameter>
      <Parameter Name="bindRight">kNone</Parameter>
      <Parameter Name="bindTop">kNone</Parameter>
      <Parameter Name="bindBottom">kFixed</Parameter>
      <Parameter Name="sizeToText">true</Parameter>
      <Parameter Name="ctrlWidth">25</Parameter>
      <Parameter Name="ctrlHeight">16</Parameter>
      <Parameter Name="ctrlLinesCnt">1</Parameter>
      <Parameter Name="realEditType">kEditRealType_RealNumber</Parameter>
      <Parameter Name="multiSelect">false</Parameter>
      <Parameter Name="margin">1</Parameter>
      <Parameter Name="renderMode">kWireframe</Parameter>
      <Parameter Name="viewMode">kTopPlan</Parameter>
      <Parameter Name="hasFrame">true</Parameter>
      <Parameter Name="ControlPoint00X">22,7</Parameter>
      <Parameter Name="ControlPoint00Y">-2,4</Parameter>
      <Parameter Name="ControlPoint01X">11,3</Parameter>
      <Parameter Name="ControlPoint01Y">-4,9</Parameter>
      <Parameter Name="ControlPoint02X">0</Parameter>
      <Parameter Name="ControlPoint02Y">0</Parameter>
      <Parameter Name="__RightUUID"></Parameter>
      <Parameter Name="__BottomUUID"></Parameter>
      <Parameter Name="__savedHandleRightX">22,7</Parameter>
      <Parameter Name="__savedHandleRightY">-2,4</Parameter>
      <Parameter Name="__savedHandleBottomX">11,3</Parameter>
      <Parameter Name="__savedHandleBottomY">-4,9</Parameter>
      <Parameter Name="__arrAlignments">1|2|1;</Parameter>
      <Parameter Name="__fVisControlWidth">22,69066656</Parameter>
      <Parameter Name="__fVisControlHeight">4,86833333</Parameter>
    </Control>
    <Control name="DialogBuilderControl" x="-40.000000" y="7.000000">
      <Parameter Name="__UUID">%LBF72A85A8-54A6-11DB-9C68-00508D5E9851%RB</Parameter>
      <Parameter Name="__locked">false</Parameter>
      <Parameter Name="type">kStaticText</Parameter>
      <Parameter Name="id">15</Parameter>
      <Parameter Name="constName">ColTypeText</Parameter>
      <Parameter Name="label">Column Type:</Parameter>
      <Parameter Name="value"></Parameter>
      <Parameter Name="bValue">false</Parameter>
      <Parameter Name="helpText"></Parameter>
      <Parameter Name="horzOffset">0</Parameter>
      <Parameter Name="vertOffset">0</Parameter>
      <Parameter Name="alignGroup">0</Parameter>
      <Parameter Name="alignEdge">kRight</Parameter>
      <Parameter Name="alignMode">kResize</Parameter>
      <Parameter Name="visible">true</Parameter>
      <Parameter Name="enabled">true</Parameter>
      <Parameter Name="bindLeft">kNone</Parameter>
      <Parameter Name="bindRight">kNone</Parameter>
      <Parameter Name="bindTop">kNone</Parameter>
      <Parameter Name="bindBottom">kFixed</Parameter>
      <Parameter Name="sizeToText">true</Parameter>
      <Parameter Name="ctrlWidth">16</Parameter>
      <Parameter Name="ctrlHeight">16</Parameter>
      <Parameter Name="ctrlLinesCnt">1</Parameter>
      <Parameter Name="realEditType">kEditRealType_RealNumber</Parameter>
      <Parameter Name="multiSelect">false</Parameter>
      <Parameter Name="margin">1</Parameter>
      <Parameter Name="renderMode">kWireframe</Parameter>
      <Parameter Name="viewMode">kTopPlan</Parameter>
      <Parameter Name="hasFrame">true</Parameter>
      <Parameter Name="ControlPoint00X">40</Parameter>
      <Parameter Name="ControlPoint00Y">-2,4</Parameter>
      <Parameter Name="ControlPoint01X">13,2</Parameter>
      <Parameter Name="ControlPoint01Y">-4,9</Parameter>
      <Parameter Name="ControlPoint02X">0</Parameter>
      <Parameter Name="ControlPoint02Y">0</Parameter>
      <Parameter Name="__RightUUID">%LBF72A85A9-54A6-11DB-9C68-00508D5E9851%RB</Parameter>
      <Parameter Name="__BottomUUID"></Parameter>
      <Parameter Name="__savedHandleRightX">40</Parameter>
      <Parameter Name="__savedHandleRightY">-2,4</Parameter>
      <Parameter Name="__savedHandleBottomX">13,2</Parameter>
      <Parameter Name="__savedHandleBottomY">-4,9</Parameter>
      <Parameter Name="__arrAlignments"></Parameter>
      <Parameter Name="__fVisControlWidth">26,45833333</Parameter>
      <Parameter Name="__fVisControlHeight">4,86833333</Parameter>
    </Control>
    <Control name="DialogBuilderControl" x="0.000000" y="7.000000">
      <Parameter Name="__UUID">%LBF72A85A9-54A6-11DB-9C68-00508D5E9851%RB</Parameter>
      <Parameter Name="__locked">false</Parameter>
      <Parameter Name="type">kTextPopup</Parameter>
      <Parameter Name="id">16</Parameter>
      <Parameter Name="constName">ColTypePopup</Parameter>
      <Parameter Name="label"></Parameter>
      <Parameter Name="value"></Parameter>
      <Parameter Name="bValue">false</Parameter>
      <Parameter Name="helpText">Choose the type of the selected column.</Parameter>
      <Parameter Name="horzOffset">0</Parameter>
      <Parameter Name="vertOffset">0</Parameter>
      <Parameter Name="alignGroup">1</Parameter>
      <Parameter Name="alignEdge">kLeft</Parameter>
      <Parameter Name="alignMode">kShift</Parameter>
      <Parameter Name="visible">true</Parameter>
      <Parameter Name="enabled">true</Parameter>
      <Parameter Name="bindLeft">kNone</Parameter>
      <Parameter Name="bindRight">kNone</Parameter>
      <Parameter Name="bindTop">kNone</Parameter>
      <Parameter Name="bindBottom">kFixed</Parameter>
      <Parameter Name="sizeToText">true</Parameter>
      <Parameter Name="ctrlWidth">28</Parameter>
      <Parameter Name="ctrlHeight">16</Parameter>
      <Parameter Name="ctrlLinesCnt">1</Parameter>
      <Parameter Name="realEditType">kEditRealType_RealNumber</Parameter>
      <Parameter Name="multiSelect">false</Parameter>
      <Parameter Name="margin">1</Parameter>
      <Parameter Name="renderMode">kWireframe</Parameter>
      <Parameter Name="viewMode">kTopPlan</Parameter>
      <Parameter Name="hasFrame">true</Parameter>
      <Parameter Name="ControlPoint00X">22,7</Parameter>
      <Parameter Name="ControlPoint00Y">-2,4</Parameter>
      <Parameter Name="ControlPoint01X">11,3</Parameter>
      <Parameter Name="ControlPoint01Y">-4,9</Parameter>
      <Parameter Name="ControlPoint02X">0</Parameter>
      <Parameter Name="ControlPoint02Y">0</Parameter>
      <Parameter Name="__RightUUID"></Parameter>
      <Parameter Name="__BottomUUID"></Parameter>
      <Parameter Name="__savedHandleRightX">22,7</Parameter>
      <Parameter Name="__savedHandleRightY">-2,4</Parameter>
      <Parameter Name="__savedHandleBottomX">11,3</Parameter>
      <Parameter Name="__savedHandleBottomY">-4,9</Parameter>
      <Parameter Name="__arrAlignments">1|2|1;</Parameter>
      <Parameter Name="__fVisControlWidth">22,69066656</Parameter>
      <Parameter Name="__fVisControlHeight">4,86833333</Parameter>
    </Control>
  </Controls>

</DialogBuilder>

<END_XML>}

