PROCEDURE InfoDialog;
CONST
    {Alignment constants}
    kRight                = 1;
    kBottom               = 2;
    kLeft                 = 3;
    kResize               = 0;
    kShift                = 1;

    { dialog resource ID }
    kTextStrTableID       = 22001;

    { default and cancel button IDs}
    kOK                   = 1;
    kCancel               = 2;

    { control IDs}
    kEidt                 = 4;

VAR
    dialog            :INTEGER;
    cnt               :INTEGER;

FUNCTION GetStr(ndx :INTEGER) :STRING;
BEGIN
    GetResourceString(GetStr, kTextStrTableID, ndx);
END;

FUNCTION GetHelpStr(ndx :INTEGER) :STRING;
BEGIN
    GetResourceString(GetHelpStr, kTextStrTableID, ndx + 4);
END;

BEGIN
    dialog := CreateResizableLayout(GetStr(3), FALSE, GetStr(kOK), GetStr(kCancel), TRUE, TRUE );

    {create controls}
    CreateEditTextBox( dialog, kEidt, GetStr(kEidt), 65, 20 );

    {set relations}
    SetFirstLayoutItem( dialog, kEidt );

    {set alignments}

    {set bindings}
    SetEdgeBinding        ( dialog, kEidt, TRUE, TRUE, TRUE, TRUE );

    {set help strings}
    FOR cnt := 1 TO 4 DO SetHelpText(dialog, cnt, GetHelpStr(cnt));

    { uncomment to test the script
    IF RunLayoutDialog( dialog, NIL ) = 1 then BEGIN
    END;}

END;
RUN( InfoDialog );

{XML defintion of the layout}
{<BEGIN_XML>
<?xml version="1.0" encoding="UTF-8" standalone="no" ?>
<DialogBuilder>

  <LayoutData>
    <Name>InfoDialog</Name>
    <Namespace></Namespace>
    <Title>Info...</Title>
    <OKText>Close</OKText>
    <OKHelpText>Close</OKHelpText>
    <CancelText></CancelText>
    <CancelHelpText></CancelHelpText>
    <HasHelp>FALSE</HasHelp>
    <ResizableWidth>TRUE</ResizableWidth>
    <ResizableHeight>TRUE</ResizableHeight>
    <StringsStartID>22001</StringsStartID>
    <HelpStrsInTable>FALSE</HelpStrsInTable>
    <HelpStrStartID>11001</HelpStrStartID>
    <ControlPrefix>k</ControlPrefix>
    <ShowControlIDs>TRUE</ShowControlIDs>
    <TablesAddToDlgRes>TRUE</TablesAddToDlgRes>
    <ExportXMLinVS>TRUE</ExportXMLinVS>
    <LeftControlID>0</LeftControlID>
    <ExportResourcesInR>TRUE</ExportResourcesInR>
    <ResurseConstantPrefix>kStr_</ResurseConstantPrefix>
  </LayoutData>

  <Controls>
    <Control name="DialogBuilderControl" x="-44" y="61">
      <Parameter Name="__UUID">%LBDC7B016D-07F8-11DD-BD8C-001AA0C30AB2%RB</Parameter>
      <Parameter Name="__locked">false</Parameter>
      <Parameter Name="type">kEditTextBox</Parameter>
      <Parameter Name="id">4</Parameter>
      <Parameter Name="constName">Eidt</Parameter>
      <Parameter Name="label"></Parameter>
      <Parameter Name="value"></Parameter>
      <Parameter Name="bValue">false</Parameter>
      <Parameter Name="helpText"></Parameter>
      <Parameter Name="horzOffset">0</Parameter>
      <Parameter Name="vertOffset">0</Parameter>
      <Parameter Name="alignGroup">0</Parameter>
      <Parameter Name="alignEdge">KRight</Parameter>
      <Parameter Name="alignMode">kResize</Parameter>
      <Parameter Name="visible">true</Parameter>
      <Parameter Name="enabled">true</Parameter>
      <Parameter Name="bindLeft">kFixed</Parameter>
      <Parameter Name="bindRight">kFixed</Parameter>
      <Parameter Name="bindTop">kFixed</Parameter>
      <Parameter Name="bindBottom">kFixed</Parameter>
      <Parameter Name="sizeToText">true</Parameter>
      <Parameter Name="ctrlWidth">65</Parameter>
      <Parameter Name="ctrlHeight">16</Parameter>
      <Parameter Name="ctrlLinesCnt">20</Parameter>
      <Parameter Name="realEditType">kEditRealType_RealNumber</Parameter>
      <Parameter Name="multiSelect">false</Parameter>
      <Parameter Name="margin">1</Parameter>
      <Parameter Name="renderMode">kWireframe</Parameter>
      <Parameter Name="viewMode">kTopPlan</Parameter>
      <Parameter Name="hasFrame">true</Parameter>
      <Parameter Name="ControlPoint00X">24mm</Parameter>
      <Parameter Name="ControlPoint00Y">-12mm</Parameter>
      <Parameter Name="ControlPoint01X">12mm</Parameter>
      <Parameter Name="ControlPoint01Y">-24mm</Parameter>
      <Parameter Name="ControlPoint02X">0mm</Parameter>
      <Parameter Name="ControlPoint02Y">0mm</Parameter>
      <Parameter Name="__RightUUID"></Parameter>
      <Parameter Name="__BottomUUID"></Parameter>
      <Parameter Name="__savedHandleRightX">24mm</Parameter>
      <Parameter Name="__savedHandleRightY">-12mm</Parameter>
      <Parameter Name="__savedHandleBottomX">12mm</Parameter>
      <Parameter Name="__savedHandleBottomY">-24mm</Parameter>
      <Parameter Name="__arrAlignments"></Parameter>
      <Parameter Name="__fVisControlWidth">24</Parameter>
      <Parameter Name="__fVisControlHeight">24</Parameter>
    </Control>
  </Controls>

</DialogBuilder>

<END_XML>}

